%global _description %{expand:
Goals:
- Convert UNIX timestamps to and from RFC3339.
- Either produce RFC3339 strings with a UTC offset (Z) or with the offset that
  the C time module reports is the local timezone offset.
- Simple with minimal dependencies/libraries.
- Avoid timezones as much as possible.
- Be very strict and follow RFC3339.}

Summary:        Strict, simple, lightweight RFC3339 functions
Name:           python-strict-rfc3339
Version:        0.7
Release:        1%{?dist}
License:        GPL-3.0-only
URL:            https://github.com/danielrichman/strict-rfc3339
Source0:         %{pypi_source strict-rfc3339}

BuildRequires:  python3-devel
BuildArch:      noarch


%description %{_description}

%package -n     python3-strict-rfc3339
Summary:        Strict, simple, lightweight RFC3339 functions

%description -n python3-strict-rfc3339 %{_description}

%prep
%autosetup -n strict-rfc3339-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files strict_rfc3339


%files -n python3-strict-rfc3339 -f %{pyproject_files}
%doc README.md


%changelog
* Thu Jun 13 2024 Shuo Wang <abushwang@tencent.com> - 0.7-1
- initial build
